com.ibm.openpages.api.security

## Interface IGroup

- All Superinterfaces:
    ISecurityPrincipal

      public interface IGroup
      extends ISecurityPrincipal

  Interface for security group information. In OpenPages with Watson, security groups can be nested.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addMember(ISecurityPrincipal groupOrUser)` Adds a group member.
    `int` | `getAdminLevel()` Returns the OpenPages administration level associated with the security group.
    `java.util.Iterator<ISecurityPrincipal>` | `getAllMembers()` Returns all members of a security group.
    `java.lang.String` | `getDescription()` Returns descriptive information about the security group.
    `java.lang.String` | `getEmailAddress()` Returns the email address associated with a security group.
    `java.util.Iterator<ISecurityPrincipal>` | `getMembers(boolean includesEntityGroups)` Returns all members of a security group.
    `java.util.Iterator<IGroup>` | `getParentGroups()` Returns this group membership to other groups.
    `java.util.List<Id>` | `getRoleAssignmentIds()` Returns a list of Id for role assignments.
    `java.util.Iterator<IRoleAssignment>` | `getRoleAssignments()` Returns an iterator over role assignments.
    `java.util.Iterator<IRoleTemplate>` | `getRoleTemplates()` Returns an iterator over all roles assigned with this group.
    `java.util.Iterator<IGroup>` | `getSubGroups()` Returns all groups that are members of a security group.
    `java.util.List<Id>` | `getUserIds()` Returns all user Ids directly associated with a security group.
    `java.util.Iterator<IUser>` | `getUsers()` Returns all users of a security group.
    `boolean` | `hasMember(ISecurityPrincipal groupOrUser)` Verifies group membership.
    `void` | `remove(ISecurityPrincipal securityPrincipal)` Remove Security Principal from this group.
    `void` | `setAdminLevel(int adminLevel)` Updates the administration level associated with a security group.
    `void` | `setDescription(java.lang.String description)` Updates description of a security group.
    `void` | `setEmailAddress(java.lang.String emailAddress)` Updates the email address associated with a security group.
    `void` | `update()` Updates security group information on the OpenPages server.

    - ### Methods inherited from interface com.ibm.openpages.api.security.ISecurityPrincipal

      `disable, enable, getAdminPermissions, getCreatedOn, getId, getLocale, getName, getPermissionIds, getPermissions, isDeleted, isEditable, isEnabled, isHidden, revokeAdminPermissions, setName`

- - ### Method Detail

    - #### getDescription

          java.lang.String getDescription()

      Returns descriptive information about the security group.
      Returns:
        String

    - #### setDescription

          void setDescription(java.lang.String description)

      Updates description of a security group.
      Parameters:
        `description` - new description for the security group

    - #### getEmailAddress

          java.lang.String getEmailAddress()

      Returns the email address associated with a security group.
      Returns:
        String

    - #### setEmailAddress

          void setEmailAddress(java.lang.String emailAddress)

      Updates the email address associated with a security group.
      Parameters:
        `emailAddress` - new email address

    - #### getAdminLevel

          int getAdminLevel()

      Returns the OpenPages administration level associated with the security group.
      Returns:
        int

    - #### setAdminLevel

          void setAdminLevel(int adminLevel)

      Updates the administration level associated with a security group.
      Parameters:
        `adminLevel` - new administration level

    - #### addMember

          void addMember(ISecurityPrincipal groupOrUser)

      Adds a group member.
      Parameters:
        `groupOrUser` - new group member to add

    - #### hasMember

          boolean hasMember(ISecurityPrincipal groupOrUser)

      Verifies group membership.
      Parameters:
        `groupOrUser` -
      Returns:
        boolean

    - #### getAllMembers

          java.util.Iterator<ISecurityPrincipal> getAllMembers()

      Returns all members of a security group.
      Returns:
        Iterator

    - #### getMembers

          java.util.Iterator<ISecurityPrincipal> getMembers(boolean includesEntityGroups)

      Returns all members of a security group.
      Returns:
        Iterator

    - #### getUserIds

          java.util.List<Id> getUserIds()

      Returns all user Ids directly associated with a security group.
      Returns:
        List

    - #### getUsers

          java.util.Iterator<IUser> getUsers()

      Returns all users of a security group.
      Returns:
        Iterator

    - #### getSubGroups

          java.util.Iterator<IGroup> getSubGroups()

      Returns all groups that are members of a security group.
      Returns:
        Iterator

    - #### getParentGroups

          java.util.Iterator<IGroup> getParentGroups()

      Returns this group membership to other groups.
      Returns:
        Iterator

    - #### update

          void update()

      Updates security group information on the OpenPages server.

    - #### remove

          void remove(ISecurityPrincipal securityPrincipal)

      Remove Security Principal from this group. Security Principals are either Users or Groups that are members of this group. This method will remove their membership. In special cases this operation will not be allowed for protected system groups such as the 'OpenPages' group.
      Parameters:
        `securityPrincipal` - the IUser or IGroup which should be removed from this group.

    - #### getRoleAssignmentIds

          java.util.List<Id> getRoleAssignmentIds()

      Returns a list of Id for role assignments.
      Returns:
        List

    - #### getRoleAssignments

          java.util.Iterator<IRoleAssignment> getRoleAssignments()

      Returns an iterator over role assignments.
      Returns:
        Iterator

    - #### getRoleTemplates

          java.util.Iterator<IRoleTemplate> getRoleTemplates()

      Returns an iterator over all roles assigned with this group.
      Returns:
        Iterator

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2022. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.